/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __DNP_H
#define __DNP_H

unsigned WORD JisToKuten(unsigned WORD jis);
unsigned WORD KutenToJis(unsigned WORD kuten);
BOOL GetDnpFontInfoByKutenCode(unsigned WORD kuten, char **pFontPrefix, int *nCode, int *nFontID);
BOOL GetKutenCodeByDnpFontInfo(char *pFontPrefix, int nNum, unsigned WORD *kuten);

#endif
