/*
 *  dvipr
 *      TeX Printer driver for The Canon LIPS III/IVc, CaPSL III printer
 *
 *      Developed at:
 *          Computer Systems Research Group
 *          Department of Information Science
 *          Fukui University
 *          9-1, Bunkyo-3, Fukui, 910 Japan
 *
 *      Authors:
 *          Yasumasa Koizumi, Atsushi Takagi, Kenichi Sugimoto,
 *          and Minato Kawaguti
 *
 *  The program may be copied and redistributed freely in the spirit of
 *  Free Software Foundation's "Copy Left", provided this title page is
 *  included in all of the source files involved.
 *
 *  Reports on porting to new platforms, bug fixes, etc., are highly
 *  appreciated. e-mail of this kind of communication shhould be addressedd
 *  to:
 *      dvipr@i1nws1.fukui-u.ac.jp
 */

#ifndef __NEWTYPES_H
#define __NEWTYPES_H

#define	_TRUE	(1 == 1)
#define	_FALSE	(1 == 0)

#if defined(TRUE) || defined(FALSE)
#undef TRUE
#undef FALSE
#endif

typedef enum {FALSE = _FALSE, TRUE = _TRUE} BOOL;

#define	WORD	short
#define	DWORD	int

#endif
